Loading...
Searching...
No Matches
BALL::ConstUnaryProcessor< T > Class Template Reference

`#include <BALL/CONCEPT/processor.h>`

Inheritance diagram for BALL::ConstUnaryProcessor< T >:

## Public Member Functions

virtual | ~ConstUnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()
virtual Processor::Result | operator() (const T &)

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< T, Processor::Result >
typedef Processor::Result | result_type
typedef T | argument_type
typedef T & | argument_reference
typedef const T & | const_argument_reference
typedef T * | argument_pointer
typedef const T * | const_argument_pointer

## Detailed Description

template<typename T>
class BALL::ConstUnaryProcessor< T >

This is the baseclass for UnaryProcessors that do not change the objects they are applied to. If your processor should work on const objects this is the right class to derive from.

Definition at line 119 of file processor.h.

## Constructor & Destructor Documentation

## ~ConstUnaryProcessor()

template<typename T>

virtual BALL::ConstUnaryProcessor< T >::~ConstUnaryProcessor | ( |  | ) |

inline virtual

Definition at line 124 of file processor.h.

## Member Function Documentation

## finish()

template<typename T>

virtual bool BALL::ConstUnaryProcessor< T >::finish | ( |  | ) |

inline virtual

Reimplemented in BALL::BoundingBoxProcessor, BALL::FragmentDistanceCollector, and BALL::GeometricCenterProcessor.

Definition at line 133 of file processor.h.

## operator()()

template<typename T>

virtual Processor::Result BALL::ConstUnaryProcessor< T >::operator() | ( | const T & |  | ) |

inline virtual

Reimplemented in BALL::BoundingBoxProcessor, BALL::FragmentDistanceCollector, and BALL::GeometricCenterProcessor.

Definition at line 138 of file processor.h.

## start()

template<typename T>

virtual bool BALL::ConstUnaryProcessor< T >::start | ( |  | ) |

inline virtual

Reimplemented in BALL::BoundingBoxProcessor, BALL::FragmentDistanceCollector, and BALL::GeometricCenterProcessor.

Definition at line 128 of file processor.h.